Page MenuHomePhabricator

Safari and Chrome unable to load some pages
Closed, ResolvedPublic

Description

There are numerous reports that people are unable to load watch list pages and some history pages.
Example is: https://en.wikipedia.org/w/index.php?title=Jurassic_World&offset=20150824235544&action=history
And more reports: https://en.wikipedia.org/w/index.php?title=Wikipedia:Village_pump_(technical)&oldid=678333919#View_history_not_working.3F

This is a bug with multiple auto summaries (in the above example the contribution by Bullahg) icw. the CSS line autocomment{unicode-bidi:-webkit-isolate}

<style>
.autocomment{unicode-bidi:-webkit-isolate}
</style>
    <span dir="auto">
        <span class="autocomment">Plot: </span>
        <span dir="auto">
            <span class="autocomment">Reception</span>
        </span>
    </span>

Upstream bugs reported:
https://code.google.com/p/chromium/issues/detail?id=526136
https://bugs.webkit.org/show_bug.cgi?id=148573

The cause is change: https://gerrit.wikimedia.org/r/#/c/232250/

Event Timeline

TheDJ created this task.Aug 28 2015, 6:52 PM
TheDJ raised the priority of this task from to Needs Triage.
TheDJ updated the task description. (Show Details)
TheDJ added projects: I18n, Regression.
TheDJ added a subscriber: TheDJ.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2015, 6:52 PM
TheDJ set Security to None.Aug 28 2015, 6:54 PM
TheDJ added subscribers: valhallasw, matmarex, Amire80.

Change 234597 had a related patch set uploaded (by TheDJ):
Revert "Prevent the jumbling up of autocomments in RTL"

https://gerrit.wikimedia.org/r/234597

TheDJ updated the task description. (Show Details)Aug 28 2015, 6:58 PM
TheDJ updated the task description. (Show Details)

Change 234597 merged by jenkins-bot:
Revert "Prevent the jumbling up of autocomments in RTL"

https://gerrit.wikimedia.org/r/234597

Change 234612 had a related patch set uploaded (by Jforrester):
Revert "Prevent the jumbling up of autocomments in RTL"

https://gerrit.wikimedia.org/r/234612

Jdforrester-WMF triaged this task as Unbreak Now! priority.
Jdforrester-WMF added a project: Security-Core.

Change 234612 merged by jenkins-bot:
Revert "Prevent the jumbling up of autocomments in RTL"

https://gerrit.wikimedia.org/r/234612

Jdforrester-WMF closed this task as Resolved.Aug 28 2015, 8:06 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now deployed.

TheDJ updated the task description. (Show Details)Aug 29 2015, 8:04 AM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 1 2016, 9:33 AM
Nnemo added a subscriber: Nnemo.May 1 2016, 5:55 PM